﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;

public class EnemyController : MonoBehaviour {

	GameObject target = null;
	float pathTime = 0f;
	int slot = -1;

	// Use this for initialization
	void Start () {
		target = GameObject.Find ("Player");
	}
	
	// Update is called once per frame
	void Update () {
		pathTime += Time.deltaTime;
		if (pathTime > 0.5f)
		{
			pathTime = 0f;
			/*var tpos = target.transform.position;
			var offset = (transform.position - tpos).normalized * 1.5f;
			GetComponent<NavMeshAgent> ().destination = tpos + offset;*/
			var slotManager = target.GetComponent<SlotManager> ();
			if (slotManager != null)
			{
				if (slot == -1)
					slot = slotManager.Reserve (gameObject);
				if (slot == -1)
					return;
				var agent = GetComponent<NavMeshAgent> ();
				if (agent == null)
					return;
				agent.destination = slotManager.GetSlotPosition (slot);
			}
		}
	}
}
